## python-bayespy 0.5.18

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -v
SPHINXBUILD   = python -m sphinx # sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
#ifeq ($(shell which ${SPHINXBUILD%% *} >/dev/null 2>&1; echo $$?), 1)
#$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '${SPHINXBUILD%% *}' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
#endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

cleangenerated:
	rm -rf source/*/generated

clean: cleangenerated
	rm -rf $(BUILDDIR)/*
	rm -rf source/*/*_files

gh-pages:
	make clean
	cd build && git clone https://github.com/bayespy/bayespy.git -b gh-pages html
	make latexpdf
	make html
	cd build/html && git add -f *.png *.html *.txt *.js *.pdf *.py *.css * && git commit -a && git push

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BayesPy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BayesPy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BayesPy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BayesPy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-bayespy 0.5.8

=== debian/changelog ===
python-bayespy (0.5.8-1) unstable; urgency=low

  * Initial release. (Closes: #862198)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 13 May 2017 11:11:08 +0100

=== debian/control ===
Source: python-bayespy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-h5py <!nocheck>,
               python3-matplotlib (>= 1.2.0) <!nocheck>,
               python3-nose <!nocheck>,
               python3-nose-exclude <!nocheck>,
               python3-numpy (>= 1.10.0) <!nocheck>,
               python3-scipy (>= 0.13.0) <!nocheck>,
               python3-setuptools,
               python3-tk <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-bayespy.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-bayespy.git
Homepage: https://www.bayespy.org
X-Python3-Version: >= 3.3

Package: python3-bayespy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-tk
Description: variational Bayesian inference tools for Python
 BayesPy provides tools for Bayesian inference with Python. The user constructs
 a model as a Bayesian network, observes data and runs posterior inference. The
 goal is to provide a tool which is efficient, flexible and extendable enough
 for expert use but also accessible for more casual users.
 .
 This package provides the modules for Python 3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = bayespy

# https://github.com/bayespy/bayespy/issues/97
export PYBUILD_TEST_ARGS = --exclude-test=bayespy.tests.test_plot

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
	xvfb-run -a dh_auto_test
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/bayespy/bayespy@ANY_VERSION@@ARCHIVE_EXT@

## python-bayespy 0.5.12

=== debian/changelog ===
python-bayespy (0.5.12-1) unstable; urgency=medium

  * New upstream version 0.5.12
  * Bump the standards version to 4.1.1
  * Add recommended get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Oct 2017 09:10:19 +0000

python-bayespy (0.5.11-1) unstable; urgency=medium

  * New upstream version 0.5.11
  * Update copyright dates
  * Revert exclusion of plot tests
  * Use DEB_BUILD_OPTIONS for nocheck
  * Replace occurrences of findstring with filter
  * Fixup whitespacing in rules file
  * Move extend-diff-ignore to d/s/options
  * Add an autopkgtest suite
  * Fixup the Vcs-Browser URI
  * Drop install dependency on python3-tk
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 27 Sep 2017 16:41:09 +0100

=== debian/control ===
Source: python-bayespy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-h5py <!nocheck>,
               python3-matplotlib (>= 1.2.0) <!nocheck>,
               python3-nose <!nocheck>,
               python3-numpy (>= 1.10.0) <!nocheck>,
               python3-scipy (>= 0.13.0) <!nocheck>,
               python3-setuptools,
               python3-tk <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-bayespy.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-bayespy.git
Homepage: https://www.bayespy.org
X-Python3-Version: >= 3.3

Package: python3-bayespy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: variational Bayesian inference tools for Python
 BayesPy provides tools for Bayesian inference with Python. The user constructs
 a model as a Bayesian network, observes data and runs posterior inference. The
 goal is to provide a tool which is efficient, flexible and extendable enough
 for expert use but also accessible for more casual users.
 .
 This package provides the modules for Python 3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=bayespy

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test
endif

get-orig-source:
	uscan --download-current-version --force-download --no-symlink

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a $py -m nose -v bayespy
 ; done
Depends: python3-all,
         python3-bayespy,
         python3-nose,
         python3-tk,
         xauth,
         xvfb
Restrictions: allow-stderr

## python-bayespy 0.5.17

=== debian/changelog ===
python-bayespy (0.5.17-1) unstable; urgency=medium

  * Team upload.
  * Point watch file to secure URI
  * Rename debian/tests/control to control.autodep8
  * Add missing Depends: python3-tk
    Closes: #896210
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Testsuite: autopkgtest-pkg-python
  * Remove ancient field X-Python3-Version
  * Remove unneeded get-orig-source-target

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2018 12:55:12 +0200

=== debian/control ===
Source: python-bayespy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-h5py <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-nose <!nocheck>,
               python3-numpy <!nocheck>,
               python3-scipy (>= 0.13.0) <!nocheck>,
               python3-setuptools,
               python3-tk <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/python-bayespy
Vcs-Git: https://salsa.debian.org/science-team/python-bayespy.git
Homepage: https://www.bayespy.org

Package: python3-bayespy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-tk
Description: variational Bayesian inference tools for Python
 BayesPy provides tools for Bayesian inference with Python. The user constructs
 a model as a Bayesian network, observes data and runs posterior inference. The
 goal is to provide a tool which is efficient, flexible and extendable enough
 for expert use but also accessible for more casual users.
 .
 This package provides the modules for Python 3

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/project/bayespy .*/bayespy@ANY_VERSION@@ARCHIVE_EXT@

## python-bayespy 0.5.18

=== debian/changelog ===
python-bayespy (0.5.18-2) unstable; urgency=medium

  * QA upload.
  * [d7c620d] Update standards version to 4.4.1, no changes needed.
  * [d35bb12] Bump debhelper from old 11 to 12.
  * [69bceed] Relax build-depends versions
  * [a689689] Orphan the package.
  * [ccecbe3] Drop dependency on dpkg-dev

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Nov 2019 20:15:29 +0100

python-bayespy (0.5.18-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.5.18

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 31 Mar 2019 14:03:12 +0200

python-bayespy (0.5.17-2) unstable; urgency=medium

  * Team upload
  * Drop myself from uploaders
  * Add missing test dependency on matplotlib.
    Thanks to Steve Langasek (Closes: #884516, #907221)
  * Fix obsolete declaration of autodep8 tests
  * Bump standards version to 4.3.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 30 Mar 2019 19:09:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: python-bayespy
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-h5py <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-nose <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-scipy (>= 0.13.0) <!nocheck>,
+               python3-scipy <!nocheck>,
                python3-setuptools,
                python3-tk <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-bayespy
 Vcs-Git: https://salsa.debian.org/science-team/python-bayespy.git
 Homepage: https://www.bayespy.org

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run -a dh_auto_test
 endif
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  ; done
 Depends: python3-all,
          python3-bayespy,
+         python3-matplotlib,
          python3-nose,
          python3-tk,
          xauth,

## python-bayespy 0.5.22

=== debian/changelog ===
python-bayespy (0.5.22-5) unstable; urgency=high

  * QA upload.
  * No-change rebuild to fix the missing dependency on python3-h5py
    (see #1030274).

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Feb 2023 12:53:25 +0200

python-bayespy (0.5.22-4) unstable; urgency=medium

  * QA upload.

  [ Bas Couwenberg ]
  * Add upstream patch to fix test failure with Numpy 1.24.
    (closes: #1027220)

 -- Bastian Germann <bage@debian.org>  Fri, 17 Jan 2023 09:31:23 +0100

python-bayespy (0.5.22-3) unstable; urgency=medium

  * QA upload.
  * Fix autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Dec 2022 22:51:10 +0100

python-bayespy (0.5.22-2) unstable; urgency=medium

  * QA upload.
  * Change patch to gbp-pq.
  * Add change-from-scipy-to-locally-defined-epsilon.patch
    - Upstream patch to fix compatibility with scipy >= 1.8.1 Closes: #1013086
  * autopkgtest:
    - Move test script to a separate file.
    - Change from py3versions -r -> py3versions --supported
  * Update Standards-Version to 4.6.1

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 23 Jun 2022 22:52:57 +0200

python-bayespy (0.5.22-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.5.22
  * Add build dependency python3-pil.imagetk Closes: #999534
  * Update Standards-Version to 4.6.0
  * autopkgtest: Add depends on python3-pil.imagetk.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 23 Nov 2021 07:38:14 +0100

python-bayespy (0.5.18-3) unstable; urgency=medium

  * QA Upload
  * Fix FTBFS with recent matplotlib (Closes: #954590)
    - Add build and test dependencies on python3-pytest
    - Adjust absolute tolerance for some tests
  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 09 Jul 2020 14:34:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-h5py <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-nose <!nocheck>,
                python3-numpy <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
                python3-tk <!nocheck>,
+               python3-pil.imagetk <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-bayespy
 Vcs-Git: https://salsa.debian.org/science-team/python-bayespy.git
 Homepage: https://www.bayespy.org

=== debian/tests/control ===
Tests: upstream-unittest
Depends: python3-all,
         python3-bayespy,
         python3-h5py,
         python3-matplotlib,
         python3-nose,
         python3-pytest,
         python3-tk,
         python3-pil.imagetk,
         xauth,
         xvfb
Restrictions: allow-stderr

## python-bayespy 0.5.26

=== debian/changelog ===
python-bayespy (0.5.26-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/patches/: Drop merged patches.
  * debian/patches/0001-Drop-builtin-versioneer.patch: Add patches
    to drop embedded versioneer.
  * debian/control: Build-depends on python3-versioneer. (Closes: #1058238)

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Jan 2024 21:15:48 -0500

## python-bayespy 0.5.28

=== debian/changelog ===
python-bayespy (0.5.28-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Feb 2024 19:28:26 -0500

=== debian/control ===
Source: python-bayespy
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-h5py <!nocheck>,
 python3-matplotlib <!nocheck>,
 python3-nose <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil.imagetk <!nocheck>,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-tk <!nocheck>,
 python3-versioneer,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/python-bayespy
Vcs-Git: https://salsa.debian.org/science-team/python-bayespy.git
Homepage: https://www.bayespy.org

Package: python3-bayespy
Architecture: all
Depends:
 python3-tk,
 ${misc:Depends},
 ${python3:Depends},
Description: variational Bayesian inference tools for Python
 BayesPy provides tools for Bayesian inference with Python. The user constructs
 a model as a Bayesian network, observes data and runs posterior inference. The
 goal is to provide a tool which is efficient, flexible and extendable enough
 for expert use but also accessible for more casual users.
 .
 This package provides the modules for Python 3

=== debian/tests/control ===
Tests: upstream-unittest
Depends:
 python3-all,
 python3-bayespy,
 python3-h5py,
 python3-matplotlib,
 python3-nose,
 python3-pil.imagetk,
 python3-pytest,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr

## python-bayespy 0.6.1

=== debian/changelog ===
python-bayespy (0.6.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Add new dependency python3-truncnorm.
  * debian/control: Replace dh-python with dh-sequence-python3.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jun 2024 15:05:55 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-h5py <!nocheck>,
  python3-matplotlib <!nocheck>,
@@ -15,10 +15,11 @@
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-tk <!nocheck>,
+ python3-truncnorm,
  python3-versioneer,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-bayespy
 Vcs-Git: https://salsa.debian.org/science-team/python-bayespy.git

## python-bayespy 0.6.2

=== debian/changelog ===
python-bayespy (0.6.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.6.2
  * Replace Nose with Pytest (Closes: #1018463)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Sep 2024 14:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-h5py <!nocheck>,
  python3-matplotlib <!nocheck>,
- python3-nose <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pil.imagetk <!nocheck>,
  python3-pytest <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=bayespy
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
